
<HTML>
<HEAD>
<TITLE>DL Visualize - Tutorials</TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF">

<center><H2> DLV Tutorial - Inserting a Model </H2></center>

<p>
This option is used to insert a molecule into another model. We shall add an
ammonia molecule to an Mg terminated MgO (111) slab. As the first
implementation of this feature it is expected that the user interface may need
improvement, suggestions will be welcomed.
</p>

<p>
<ol>
<li> Make sure the model you wish to insert the molecule in is selected. We
  will turn-off the use of symmetry on the toolbar to avoid complications from
  the 3-fold axes of the slab and NH3 not matching up.
     <br><br>
     <center><img src="../../images/imodel/nosym.png"></center>
     <br>
</li>
<li> Select the <b>Edit -> Model -> Insert Model</b> menu item. This panel
     will appear
     <br><br>
     <center><img src="../../images/imodel/name.png"></center>
     <br>
<li> Select the molecule you want to insert from the list
     <br><br>
     <center><img src="../../images/imodel/molecule.png"></center>
     <br>
</li>
<li> Enter a name for the new model and the panel will change to
     <br><br>
     <center><img src="../../images/imodel/panel.png"></center>
     <br>
</li>
<li> Select the Mg atom and then click on <b>Calculate from Selections</b>.
     This will move the centre of the molecule to the Mg atom.
     <br><br>
     <center><img src="../../images/imodel/atmg.png"></center>
     <br>
<li> Now add to the z value in the panel to place the molecule above the Mg
     atom (e.g. +1.5)
     <br><br>
     <center><img src="../../images/imodel/shift.png"></center>
     <br>
     The result is (with the Mg still shown as selected)
     <br><br>
     <center><img src="../../images/imodel/raise.png"></center>
     <br>
</li>
<li> Select <b>OK</b> to accept the completed model. The panel
     will disappear.
</li>
</ol>
</p>

<H4> Advanced options </H4>

<p>
<ul>
<li> The <b>Use Transform Editor</b> toggle allows you to use the mouse to
  move/rotate/translate the inserted atom in the viewer (or use the Transform
  panel from the Viewers menu). This may have unexpected results if you use it
  with symmetry as it currently doesn't fully update the structure until you
  have finished. This can result in more atoms suddenly being displayed than
  you expect when you drag an inserted atom off a high symmetry point.
</li>
<li> <b>Set centre</b> should allow you to change the centre that the
  coordinate shifts are applied to from the centre of the molecule to a
  particular atom in the molecule.
</li>
</ul>
</p>

</BODY>
</HTML>
